SDL_Rect Struct Reference

`#include <SDL_rect.h>`

## Data Fields

int | x
int | y
int | w
int | h

## Detailed Description

A rectangle, with the origin at the upper left (using integers).

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_RectEmpty
  SDL_RectsEqual
  SDL_HasRectIntersection
  SDL_GetRectIntersection
  SDL_GetRectAndLineIntersection
  SDL_GetRectUnion
  SDL_GetRectEnclosingPoints

Definition at line 83 of file SDL_rect.h.

## Field Documentation

## h

int SDL_Rect::h

Definition at line 86 of file SDL_rect.h.

Referenced by SDL_PointInRect(), SDL_RectEmpty(), SDL_RectsEqual(), and SDL_RectToFRect().

## w

int SDL_Rect::w

Definition at line 86 of file SDL_rect.h.

Referenced by SDL_PointInRect(), SDL_RectEmpty(), SDL_RectsEqual(), and SDL_RectToFRect().

## x

int SDL_Rect::x

Definition at line 85 of file SDL_rect.h.

Referenced by SDL_PointInRect(), SDL_RectsEqual(), and SDL_RectToFRect().

## y

int SDL_Rect::y

Definition at line 85 of file SDL_rect.h.

Referenced by SDL_PointInRect(), SDL_RectsEqual(), and SDL_RectToFRect().

The documentation for this struct was generated from the following file:

- SDL_rect.h